> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# RelationsSearchListProviderPersonPersonPassive

> Serve the active and passive texts of relations, with a given table as source (active) or destination (passive).

## "relationssearchlistproviderpersonpersonpassive" MDO List

Serve the active and passive texts of relations, with a given table as source (active)
or destination (passive).

To facilitate relation searching, we need to provide a way to choose <b>which</b> relation we
would like to find. This provider supplies one list (dynamically named) for each table that
is used as a source or destination (relationdefinition --> relationtarget).

Each relation target combination supplied by relationtarget causes the relationdefinition to
appear in the correct direction, in the list for a table. Each such list is always flat.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.RelationsSearchListProvider">RelationsSearchListProvider</see> class.
The name of the MDO list is 'relationssearchlistproviderpersonpersonpassive'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/relationssearchlistproviderpersonpersonpassive
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("relationssearchlistproviderpersonpersonpassive", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                    | StyleHint | ExtraInfo |
| -- | ----------------------- | --------- | --------- |
| 2  | er en personlig venn av |           |           |
| 6  | er i familie med        |           |           |
| 7  | kjenner                 |           |           |

## Related MDO Lists

* "relationssearchlistproviderpersonpersonpassiveheadings"
* "relationssearchlistproviderpersonpersonpassiveheadingswithallitem"
* "relationssearchlistproviderpersonpersonpassiveheadingswithallitemwithnoselection"
* "relationssearchlistproviderpersonpersonpassiveheadingswithnoselection"
* "relationssearchlistproviderpersonpersonpassivewithallitem"
* "relationssearchlistproviderpersonpersonpassivewithallitemwithnoselection"
* "relationssearchlistproviderpersonpersonpassivewithnoselection"


## Related topics

- [RelationsSearchListProviderPersonPassive](/en/api/mdo-providers/reference/relationssearchlistproviderpersonpassive.md)
- [RelationsSearchListProviderPersonContactPassive](/en/api/mdo-providers/reference/relationssearchlistproviderpersoncontactpassive.md)
- [RelationsSearchListProviderContactPersonPassive](/en/api/mdo-providers/reference/relationssearchlistprovidercontactpersonpassive.md)
- [RelationsSearchListProviderPersonPersonActive](/en/api/mdo-providers/reference/relationssearchlistproviderpersonpersonactive.md)
- [RelationsSearchListProviderPersonActive](/en/api/mdo-providers/reference/relationssearchlistproviderpersonactive.md)
- [RelationsSearchListProviderPersonContactActive](/en/api/mdo-providers/reference/relationssearchlistproviderpersoncontactactive.md)
